package com.xinyilu.system.service.testLevel.impl;

import com.xinyilu.common.utils.DateUtils;
import com.xinyilu.system.domain.testLevel.TestItemLevel;
import com.xinyilu.system.mapper.testItemLevel.TestItemLevelMapper;
import com.xinyilu.system.service.testLevel.ITestItemLevelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 测试项目级别Service业务层处理
 *
 * @author jihan
 * @date 2022-08-03
 */
@Service
public class TestItemLevelServiceImpl implements ITestItemLevelService {

    @Autowired
    private TestItemLevelMapper testItemLevelMapper;

    /**
     * 查询测试项目级别
     *
     * @param id 测试项目级别主键
     * @return 测试项目级别
     */
    @Override
    public TestItemLevel selectTestItemLevelById(Long id) {
        return testItemLevelMapper.selectTestItemLevelById(id);
    }

    /**
     * 查询测试项目级别列表
     *
     * @param testItemLevel 测试项目级别
     * @return 测试项目级别
     */
    @Override
    public List<TestItemLevel> selectTestItemLevelList(TestItemLevel testItemLevel) {
        return testItemLevelMapper.selectTestItemLevelList(testItemLevel);
    }

    /**
     * 新增测试项目级别
     *
     * @param testItemLevel 测试项目级别
     * @return 结果
     */
    @Override
    public int insertTestItemLevel(TestItemLevel testItemLevel) {
        testItemLevel.setCreateTime(DateUtils.getNowDate());
        return testItemLevelMapper.insertTestItemLevel(testItemLevel);
    }

    /**
     * 修改测试项目级别
     *
     * @param testItemLevel 测试项目级别
     * @return 结果
     */
    @Override
    public int updateTestItemLevel(TestItemLevel testItemLevel) {
        testItemLevel.setUpdateTime(DateUtils.getNowDate());
        return testItemLevelMapper.updateTestItemLevel(testItemLevel);
    }

    /**
     * 批量删除测试项目级别
     *
     * @param ids 需要删除的测试项目级别主键
     * @return 结果
     */
    @Override
    public int deleteTestItemLevelByIds(Long[] ids) {
        return testItemLevelMapper.deleteTestItemLevelByIds(ids);
    }

    /**
     * 删除测试项目级别信息
     *
     * @param id 测试项目级别主键
     * @return 结果
     */
    @Override
    public int deleteTestItemLevelById(Long id) {
        return testItemLevelMapper.deleteTestItemLevelById(id);
    }
}
